{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function send_event, post_event\r\n\r\nif len( NewData ) > 24 then\r\n   Void = send_event( @window:'.':CtrlEntId, 'LOSTFOCUS', '' )\r\n   Void = set_property( @window:'.EXPORTTABLENAMES', \"FOCUS\", 1)\r\n   Void = post_event( @window:'.EXPORTTABLENAMES', \"GOTFOCUS\" )\r\n   return 0\r\nend\r\nif NewData[-1,1] = ' ' then\r\n   CurVal = @CtrlEntId->text\r\n   CurVal[-1,1] = '_'\r\n   @CtrlEntId->text = CurVal\r\n   @CtrlEntId->selection = len( CurVal )+1\r\nend\r\nRETURN 1"
        }
    }
}